Bug 1331818 - Review Request: singularity - Portable application stack packaging and runtime utility
Summary: Review Request: singularity - Portable application stack packaging and runtim...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-29 16:13 UTC by Dave Love
Modified: 2018-04-13 14:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 21:28:41 UTC
orion: fedora-review+


Attachments (Terms of Use)

Description Dave Love 2016-04-29 16:13:19 UTC
Spec URL: https://loveshack.fedorapeople.org/review/singularity.spec
SRPM URL: https://loveshack.fedorapeople.org/review/singularity-1.0-6.e7409ff5.el6.src.rpm
Description: 
Singularity is a portable application stack packaging and runtime utility.

There are several methods to implement portable application stacks at
present. Among them are containers and virtual machines. When using these
solutions to package a single application (or application stack), one ends
up having to manage the entire operating system overhead (security, updates,
size/bulk, etc..) just to distribute a single application or workflow. While
virtual machines and containers have strong usage benefits, application
portability and distribution is not an efficient use of these technologies.

Singularity works on a completely different perspective. Contrary to building
and managing an entire operating system environment (for the sake of
portability and reproducibility of an application stack), Singularity works
on the opposite premise. By configuration of an application stack spec via a
configuration file, coupled with automatic dependency resolution to achieve
portability, Singularity can create minimalistic singlet "app" which can
easily be copied from system to system and run using Singularity on different
systems.
Fedora Account System Username: loveshack

Builds: https://copr.fedorainfracloud.org/coprs/loveshack/livhpc/build/181964/ and https://copr.fedorainfracloud.org/coprs/loveshack/livhpc/build/181966/

Comment 1 Orion Poplawski 2016-04-29 18:28:11 UTC
Initial comments:

- Drop the blank line after %description
- No more need for %{?_licensedir}

Comment 2 Dave Love 2016-05-03 10:43:43 UTC
Oh; I thought blank lines after section headers were elided.  I better modify rpm-spec-mode to DTRT with paragraphs instead.

You need the license conditional with SCLs.  That's quite relevant in this case (e.g. bundling a python33 application for el6).

I noticed an obsolete comment about selinux, which I'll remove.

By the way, is there a recommended way to conditionalize use of a github snapshot v. a proper release?

Comment 3 Dave Love 2016-05-06 12:46:18 UTC
Singularity is changing radically, so this should go on hold for now.

Comment 4 Dave Love 2016-06-08 17:04:31 UTC
I think it's worth restarting review with v2.0:

Spec URL: https://loveshack.fedorapeople.org/review/singularity.spec
SRPM URL: https://loveshack.fedorapeople.org/review/singularity-2.0-4.el6.src.rpm

Comment 5 Orion Poplawski 2016-06-10 17:30:21 UTC
Looks really good.  Minor nits:

I would do:

# For non-releases
%global commit 5440d34a550aa155dc9245a3f8f9d7f09948695d

and then comment out like:

#global commit 5440d34a550aa155dc9245a3f8f9d7f09948695d

when not using.

Git snapshots should have "git" in the release string:

Release: 4%{?shortcommit:.git%shortcommit}%{?dist}

See https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages

personally, I would keep the version name of the downloaded git snapshots, but that's preference.

Looks like upstream has fixed the rpmlint setgroups issue.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 23 files have unknown license. Detailed
     output of licensecheck in
     /export/home/orion/redhat/singularity-2.0/1331818-singularity/licensecheck.txt
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 7 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Package uses hardened build flags if required to.
     Note: suid files: sexec
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
Needed for EL5
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: singularity-2.0-4.el7.x86_64.rpm
          singularity-2.0-4.el7.src.rpm
singularity.x86_64: E: setuid-binary /usr/libexec/singularity/sexec root 04755L
singularity.x86_64: E: non-standard-executable-perm /usr/libexec/singularity/sexec 04755L
singularity.x86_64: W: no-manual-page-for-binary singularity
singularity.x86_64: W: no-manual-page-for-binary run-singularity
2 packages and 0 specfiles checked; 3 errors, 2 warnings.




Rpmlint (debuginfo)
-------------------
Checking: singularity-debuginfo-2.0-4.el7.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
singularity.x86_64: E: setuid-binary /usr/libexec/singularity/sexec root 04755L
singularity.x86_64: E: non-standard-executable-perm /usr/libexec/singularity/sexec 04755L
singularity.x86_64: W: no-manual-page-for-binary singularity
singularity.x86_64: W: no-manual-page-for-binary run-singularity
singularity-debuginfo.x86_64: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 3 errors, 3 warnings.



Requires
--------
singularity (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    config(singularity)
    libc.so.6()(64bit)
    ncurses-base
    rtld(GNU_HASH)
    strace



Provides
--------
singularity:
    config(singularity)
    singularity
    singularity(x86-64)



Source checksums
----------------
https://github.com/gmkurtzer/singularity/archive/2.0.tar.gz#/singularity-2.0.tar.gz :
  CHECKSUM(SHA256) this package     : 6e58ec2932df26a5401485f2235f6309490bd5abeec97b6bd70c74fd55aaa11a
  CHECKSUM(SHA256) upstream package : 6e58ec2932df26a5401485f2235f6309490bd5abeec97b6bd70c74fd55aaa11a


AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: singularity-2.0/configure.ac:32


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -b 1331818
Buildroot used: epel-7-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby

Comment 6 Dave Love 2016-06-11 11:51:15 UTC
The snapshot stuff may not be relevant now, but I kept and modified it; I must have misread the naming guidelines before.
This version is patched for the security warnings.

Spec URL: https://loveshack.fedorapeople.org/review/singularity.spec
SRPM URL: https://loveshack.fedorapeople.org/review/singularity-2.0-5.el6.src.rpm

Comment 7 James Hogarth 2016-06-15 23:07:56 UTC
Dave you got your + review flag, no need for more iterations for the review ;)

Issue the pkgdb request and get building!

Comment 8 Dave Love 2016-06-16 11:00:32 UTC
Oh, thanks!  That wasn't obvious.

Comment 9 Gwyn Ciesla 2016-06-16 13:08:50 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/singularity

Comment 10 Fedora Update System 2016-06-17 09:29:11 UTC
singularity-2.0-7.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0ae97bcb5a

Comment 11 Fedora Update System 2016-06-17 09:29:18 UTC
singularity-2.0-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-56b8909dba

Comment 12 Fedora Update System 2016-06-17 09:29:23 UTC
singularity-2.0-7.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3497c93b9d

Comment 13 Fedora Update System 2016-06-17 09:29:27 UTC
singularity-2.0-7.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5809407179

Comment 14 Fedora Update System 2016-06-17 09:29:32 UTC
singularity-2.0-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d5d12db647

Comment 15 Fedora Update System 2016-06-17 09:29:36 UTC
singularity-2.0-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d74fbf12c8

Comment 16 Fedora Update System 2016-06-18 05:23:46 UTC
singularity-2.0-7.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0ae97bcb5a

Comment 17 Fedora Update System 2016-06-18 05:24:34 UTC
singularity-2.0-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d74fbf12c8

Comment 18 Fedora Update System 2016-06-18 06:17:19 UTC
singularity-2.0-7.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3497c93b9d

Comment 19 Fedora Update System 2016-06-18 16:19:09 UTC
singularity-2.0-7.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5809407179

Comment 20 Fedora Update System 2016-06-18 16:26:01 UTC
singularity-2.0-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d5d12db647

Comment 21 Fedora Update System 2016-06-18 17:19:43 UTC
singularity-2.0-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-56b8909dba

Comment 22 Fedora Update System 2016-07-01 15:01:27 UTC
singularity-2.0-9.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ee03c969d6

Comment 23 Fedora Update System 2016-07-01 15:01:34 UTC
singularity-2.0-9.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b08ea02c43

Comment 24 Fedora Update System 2016-07-01 15:01:39 UTC
singularity-2.0-9.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7d10faed99

Comment 25 Fedora Update System 2016-07-01 15:01:44 UTC
singularity-2.0-9.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9ad1b969a2

Comment 26 Fedora Update System 2016-07-01 15:01:49 UTC
singularity-2.0-9.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f2fd1c8bbc

Comment 27 Fedora Update System 2016-07-01 15:01:54 UTC
singularity-2.0-9.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-71231fe927

Comment 28 Fedora Update System 2016-07-02 19:45:51 UTC
singularity-2.0-9.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f2fd1c8bbc

Comment 29 Fedora Update System 2016-07-02 20:16:58 UTC
singularity-2.0-9.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9ad1b969a2

Comment 30 Fedora Update System 2016-07-02 20:20:47 UTC
singularity-2.0-9.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7d10faed99

Comment 31 Fedora Update System 2016-07-02 20:24:13 UTC
singularity-2.0-9.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b08ea02c43

Comment 32 Fedora Update System 2016-07-02 20:29:28 UTC
singularity-2.0-9.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ee03c969d6

Comment 33 Fedora Update System 2016-07-02 20:54:22 UTC
singularity-2.0-9.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-71231fe927

Comment 34 Fedora Update System 2016-07-05 04:55:26 UTC
singularity-2.0-9.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2017-05-18 09:34:40 UTC
singularity-2.2.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-25df38ec5f

Comment 36 Fedora Update System 2017-05-18 09:34:47 UTC
singularity-2.2.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-251f5912b2

Comment 37 Fedora Update System 2017-05-18 21:23:21 UTC
singularity-2.2.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-251f5912b2

Comment 38 Fedora Update System 2017-05-18 21:37:17 UTC
singularity-2.2.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-25df38ec5f

Comment 39 Fedora Update System 2017-05-19 11:22:00 UTC
singularity-2.2.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3623ac0133

Comment 40 Fedora Update System 2017-05-19 11:23:49 UTC
singularity-2.2.1-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8ba47646ac

Comment 41 Fedora Update System 2017-05-20 01:18:37 UTC
singularity-2.2.1-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8ba47646ac

Comment 42 Fedora Update System 2017-05-20 01:25:35 UTC
singularity-2.2.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3623ac0133

Comment 43 Fedora Update System 2017-05-21 22:28:12 UTC
singularity-2.2.1-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-596428e45d

Comment 44 Fedora Update System 2017-05-21 22:28:23 UTC
singularity-2.2.1-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ede39a82cf

Comment 45 Fedora Update System 2017-05-22 07:17:42 UTC
singularity-2.2.1-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ede39a82cf

Comment 46 Fedora Update System 2017-05-22 07:24:54 UTC
singularity-2.2.1-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-596428e45d

Comment 47 Fedora Update System 2017-05-31 21:28:41 UTC
singularity-2.2.1-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 48 Fedora Update System 2017-06-05 03:21:09 UTC
singularity-2.2.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.